var e:extended;
    i:integer;
begin
read (e);
if e=0.00 then writeln ('A') else
if e=0.01 then begin for i:=1 to 730 do write ('A'); writeln ('B') end else
if e=0.02 then begin for i:=1 to 403 do write ('A'); writeln ('B') end else
if e=0.03 then begin for i:=1 to 272 do write ('A'); writeln ('B') end else
if e=0.04 then begin for i:=1 to 202 do write ('A'); writeln ('B') end else
if e=0.05 then begin for i:=1 to 159 do write ('A'); writeln ('B') end else
if e=0.06 then begin for i:=1 to 130 do write ('A'); writeln ('B') end else
if e=0.07 then begin for i:=1 to 109 do write ('A'); writeln ('B') end else
if e=0.08 then begin for i:=1 to 93 do write ('A'); writeln ('B') end else
if e=0.09 then begin for i:=1 to 82 do write ('A'); writeln ('B') end else
if e=0.10 then begin for i:=1 to 72 do write ('A'); writeln ('B') end else
if e=0.11 then begin for i:=1 to 64 do write ('A'); writeln ('B') end else
if e=0.12 then begin for i:=1 to 58 do write ('A'); writeln ('B') end else
if e=0.13 then begin for i:=1 to 53 do write ('A'); writeln ('B') end else
if e=0.14 then begin for i:=1 to 48 do write ('A'); writeln ('B') end else
if e=0.15 then begin for i:=1 to 44 do write ('A'); writeln ('B') end else
if e=0.16 then begin for i:=1 to 41 do write ('A'); writeln ('B') end else
if e=0.17 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.18 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.19 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.20 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.21 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.22 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.23 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.24 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.25 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.26 then writeln ('AAAAAAAAAAAAAAAAAAAAAAB') else
if e=0.27 then writeln ('AAAAAAAAAAAAAAAAAAAAAB') else
if e=0.28 then writeln ('AAAAAAAAAAAAAAAAAAAAB') else
if e=0.29 then writeln ('AAAAAAAAAAAAAAAAAAAB') else
if e=0.30 then writeln ('AAAAAAAAAAAAAAAAAAB') else
if e=0.31 then writeln ('AAAAAAAAAAAAAAAAAB') else
if e=0.32 then writeln ('AAAAAAAAAAAAAAAAB') else
if e=0.33 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABB') else
if e=0.34 then writeln ('AAAAAAAAAAAAAAAB') else
if e=0.35 then writeln ('AAAAAAAAAAAAAAB') else
if e=0.36 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAABB') else
if e=0.37 then writeln ('AAAAAAAAAAAAAB') else
if e=0.38 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAABB') else
if e=0.39 then writeln ('AAAAAAAAAAAAB') else
if e=0.40 then writeln ('AAAAAAAAAAAAAAAAAAAAAAABB') else
if e=0.41 then writeln ('AAAAAAAAAAAB') else
if e=0.42 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAABC') else
if e=0.43 then writeln ('AAAAAAAAAAAAAAAAAAAAABB') else
if e=0.44 then writeln ('AAAAAAAAAAB') else
if e=0.45 then writeln ('AAAAAAAAAAAAAAAAAAABB') else
if e=0.46 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAABC') else
if e=0.47 then writeln ('AAAAAAAAAB') else
if e=0.48 then writeln ('AAAAAAAAAAAAAAAAAAAAAAABC') else
if e=0.49 then writeln ('AAAAAAAAAAAAAAAAABB') else
if e=0.50 then writeln ('AAAAAAAAB') else
if e=0.51 then writeln ('AAAAAAAAAAAAAAAAAAAAABC') else
if e=0.52 then writeln ('AAAAAAAAAAAAAAABB') else
if e=0.53 then writeln ('AAAAAAAAAAAAAAAAAAAABC') else
if e=0.54 then writeln ('AAAAAAAB') else
if e=0.55 then writeln ('AAAAAAAAAAAAAAAAAAABC') else
if e=0.56 then writeln ('AAAAAAAAAAAAAAAAAAAABBB') else
if e=0.57 then writeln ('AAAAAAAAAAAAABB') else
if e=0.58 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAABBBB') else
if e=0.59 then writeln ('AAAAAAB') else
if e=0.60 then writeln ('AAAAAAAAAAAAAAAAAAAAAAAAAAAAABCD') else
if e=0.61 then writeln ('AAAAAAAAAAAAAAAABC') else
if e=0.62 then writeln ('AAAAAAAAAAABB') else
if e=0.63 then writeln ('AAAAAAAAAAAAAAAABBB') else
if e=0.64 then writeln ('AAAAAAAAAAAAAAABC') else
if e=0.65 then writeln ('AAAAAB') else
if e=0.66 then writeln ('AAAAAAAAAAAAAAAAAAAAABBC') else
if e=0.67 then writeln ('AAAAAAAAAAAAAABC') else
if e=0.68 then writeln ('AAAAAAAAABB') else
if e=0.69 then writeln ('AAAAAAAAAAAAAAAAAAAAAABBBBB') else
if e=0.70 then writeln ('AAAAAAAAAAAAABC') else
if e=0.71 then writeln ('AAAAAAAAAAAAAAAAAAAAABBBBB') else
if e=0.72 then writeln ('AAAAB') else
if e=0.73 then writeln ('AAAAAAAAAAAABC') else
if e=0.74 then writeln ('AAAAAAAAAAAAAAABBBB') else
if e=0.75 then writeln ('AAAAAAAAAAABBB') else
if e=0.76 then writeln ('AAAAAAABB') else
if e=0.77 then writeln ('AAAAAAAAAAABC') else
if e=0.78 then writeln ('AAAAAAAAAABBB') else
if e=0.79 then writeln ('AAAAAAAAAAAAABBBB') else
if e=0.80 then writeln ('AAAAAAAAAAAAAAABBC') else
if e=0.81 then writeln ('AAAB') else
if e=0.82 then writeln ('AAAAAAAAAABC') else
if e=0.83 then writeln ('AAAAAAAAAAAAAABBC') else
if e=0.84 then writeln ('AAAAAAAAAAABBBB') else
if e=0.85 then writeln ('AAAAAAAABBB') else
if e=0.86 then writeln ('AAAAABB') else
if e=0.87 then writeln ('AAAAAAAAABC') else
if e=0.88 then writeln ('AAAAAAABBB') else
if e=0.89 then writeln ('AAAAAAAAABBBB') else
if e=0.90 then writeln ('AAAAAAAAAAABBBBB') else
if e=0.91 then writeln ('AAAAAAAAAAAABBC') else
if e=0.92 then writeln ('AAB') else
if e=0.93 then writeln ('AAAAAAAAAAAAABBBBBBB') else
if e=0.94 then writeln ('AAAAAAAAABBBBB') else
if e=0.95 then writeln ('AAAAABBB') else
if e=0.96 then writeln ('AAAAAAAABBBBB') else
if e=0.97 then writeln ('AAABB') else
if e=0.98 then writeln ('AAAAAAABBBBB') else
if e=0.99 then writeln ('AAAABBB') else
if e=1.00 then writeln ('AB') else
if e=1.01 then writeln ('AAAAAAAAAAAABBBC') else
if e=1.02 then writeln ('AAAAAAAAAAAAABBCC') else
if e=1.03 then writeln ('AAAAAAAAAAAAAAAAAAAABBCCD') else
if e=1.04 then writeln ('AAAAAAAAABBC') else
if e=1.05 then writeln ('AAAAAAAAAAABBBC') else
if e=1.06 then writeln ('AAAAAABC') else
if e=1.07 then writeln ('AAAAAAAAAAAAAAAAABBBBCC') else
if e=1.08 then writeln ('AAAAAAAAAAAAAABBBBBC') else
if e=1.09 then writeln ('AAAAAAAAAAABCD') else
if e=1.10 then writeln ('AAAAAAAABBC') else
if e=1.11 then writeln ('AAAAAAAAAAAAABBBBBC') else
if e=1.12 then writeln ('AAAAAAAAAAABBBBC') else
if e=1.13 then writeln ('AAAAAAAAAAAABBBBBC') else
if e=1.14 then writeln ('AAAAAAAAABBBC') else
if e=1.15 then writeln ('AAAAABC') else
if e=1.16 then writeln ('AAAAAAABBC') else
if e=1.17 then writeln ('AAAAAAAAAAABBBBBC') else
if e=1.18 then writeln ('AAAAAAAAAAAAAABBBCCC') else
if e=1.19 then writeln ('AAAAAAAABBBC') else
if e=1.20 then writeln ('AAAAAAAAABBCC') else
if e=1.21 then writeln ('AAAAAAAAABCD') else
if e=1.22 then writeln ('AAAAAABBC') else
if e=1.23 then writeln ('AAAAAAAAABBBBBC') else
if e=1.24 then writeln ('AAAAAAABBBC') else
if e=1.25 then writeln ('AAAABC') else
if e=1.26 then writeln ('AAAAAAAABBBBBC') else
if e=1.27 then writeln ('AAAAAAAABBBBBBC') else
if e=1.28 then writeln ('AAAAAAAABCD') else
if e=1.29 then writeln ('AAAAAAAAAABBCD') else
if e=1.30 then writeln ('AAAAABBC') else
if e=1.31 then writeln ('AAAAAAABBCC') else
if e=1.32 then writeln ('AAAAAABBBBC') else
if e=1.33 then writeln ('AAAAAABBBBBC') else
if e=1.34 then writeln ('AAAAAAAAABBBBCC') else
if e=1.35 then writeln ('AAAAABBBC') else
if e=1.36 then writeln ('AAAAAAABCD') else
if e=1.37 then writeln ('AAABC') else
if e=1.38 then writeln ('AAAABBC') else
if e=1.39 then writeln ('AAAABBBBC') else
if e=1.40 then writeln ('AAAAAAAABBBBBCC') else
if e=1.41 then writeln ('AAAABBBC') else
if e=1.42 then writeln ('AAAAAAAABBCD') else
if e=1.43 then writeln ('AAAAAAAAAABCDE') else
if e=1.44 then writeln ('AAAAABBCC') else
if e=1.45 then writeln ('AAABBBC') else
if e=1.46 then writeln ('AAABBC') else
if e=1.47 then writeln ('AAAAAAAAABBBBCD') else
if e=1.48 then writeln ('AAAAABBBBBCC') else
if e=1.49 then writeln ('AAAAABBBCC') else
if e=1.50 then writeln ('AABC') else
if e=1.51 then writeln ('AAAAAAAAABCDE') else
if e=1.52 then writeln ('AABBC') else
if e=1.53 then writeln ('AAAABBBCC') else
if e=1.54 then writeln ('AAAAABBBCCC') else
if e=1.55 then writeln ('AAAAABCD') else
if e=1.56 then writeln ('AAABBCC') else
if e=1.57 then writeln ('AAAAAABBCD') else
if e=1.58 then writeln ('ABC') else
if e=1.59 then writeln ('AAAAAABBBBBBCD') else
if e=1.60 then writeln ('AAAAAAAAABBCCDD') else
if e=1.61 then writeln ('AAAAAAABBCCD') else
if e=1.62 then writeln ('AAAAAABBBCD') else
if e=1.63 then writeln ('AAAAAABBBBCD') else
if e=1.64 then writeln ('AAAAAAAABBBBCCD') else
if e=1.65 then writeln ('AAAAABBBBBCD') else
if e=1.66 then writeln ('AAAABCD') else
if e=1.67 then writeln ('AAAAAAABCDE') else
if e=1.68 then writeln ('AAAAABBBBCD') else
if e=1.69 then writeln ('AAAAABBBCD') else
if e=1.70 then writeln ('AAAAAAAABBCDE') else
if e=1.71 then writeln ('AAAAAABBBBBBCCD') else
if e=1.72 then writeln ('AAAABBBBCD') else
if e=1.73 then writeln ('AAAAAABBBCCD') else
if e=1.74 then writeln ('AAAAAABBBBCCD') else
if e=1.75 then writeln ('AAAABBCD') else
if e=1.76 then writeln ('AAAAABBCCD') else
if e=1.77 then writeln ('AAAAAABCDE') else
if e=1.78 then writeln ('AAAAAAABBCDE') else
if e=1.79 then writeln ('AAABCD') else
if e=1.80 then writeln ('AAAAAAABBBBCCDD') else
if e=1.81 then writeln ('AAABBBCD') else
if e=1.82 then writeln ('AAAABBBBCCD') else
if e=1.83 then writeln ('AAAAABBBCCCD') else
if e=1.84 then writeln ('AAABBCD') else
if e=1.85 then writeln ('AAAABBBCCD') else
if e=1.86 then writeln ('AAAAABBCCDD') else
if e=1.87 then writeln ('AAAAAABBCDE') else
if e=1.88 then writeln ('AAAAABCDE') else
if e=1.89 then writeln ('AAABBBCCD') else
if e=1.90 then writeln ('AAABBBCCCD') else
if e=1.91 then writeln ('AAABBCCD') else
if e=1.92 then writeln ('AABCD') else
if e=1.93 then writeln ('AAAAAAABBBBCCDE') else
if e=1.94 then writeln ('AAAABBBCCDD') else
if e=1.95 then writeln ('AABBCCD') else
if e=1.96 then writeln ('AAAAABBCDE') else
if e=1.97 then writeln ('AAABBCCDD') else
if e=1.98 then writeln ('AAABBBCCCDD') else
if e=1.99 then writeln ('AAAAAABBBCCDE') else
if e=2.00 then writeln ('ABCD') else
if e=2.01 then writeln ('AAAAABBBBBCCDE') else
if e=2.02 then writeln ('AAAAAABBBCCCDE') else
if e=2.03 then writeln ('AAAAAAABBCDEF') else
if e=2.04 then writeln ('AAAAABBCCDE') else
if e=2.05 then writeln ('AAAABBBCDE') else
if e=2.06 then writeln ('AAAABBCDE') else
if e=2.07 then writeln ('AAAAAABBBCCDDE') else
if e=2.08 then writeln ('AAAABBBBCCDE') else
if e=2.09 then writeln ('AAAAAAAABCDEFG') else
if e=2.10 then writeln ('AAAABBBBCCCDE') else
if e=2.11 then writeln ('AAABBBCDE') else
if e=2.12 then writeln ('AAAABBCCDE') else
if e=2.13 then writeln ('AAABCDE') else
if e=2.14 then writeln ('AAAAAABBBCDEF') else
if e=2.15 then writeln ('AAAAABBBBBCDEF') else
if e=2.16 then writeln ('AAABBCDE') else
if e=2.17 then writeln ('AAABBBCCDE') else
if e=2.18 then writeln ('AAAABBBBCCCDDE') else
if e=2.19 then writeln ('AAAABBCCDDE') else
if e=2.20 then writeln ('AAABBCCDE') else
if e=2.21 then writeln ('AAAAABBBCCDDEE') else
if e=2.22 then writeln ('AAAAABBCDEF') else
if e=2.23 then writeln ('AAABBBCCDDE') else
if e=2.24 then writeln ('AABBCDE') else
if e=2.25 then writeln ('AABCDE') else
if e=2.26 then writeln ('AAAABBBCCDDEE') else
if e=2.27 then writeln ('AAAAAABBCCDDEF') else
if e=2.28 then writeln ('AAAABCDEF') else
if e=2.29 then writeln ('AAAAAABCDEFG') else
if e=2.30 then writeln ('AAAABBBCDEF') else
if e=2.31 then writeln ('AAABBBCCCDDDEE') else
if e=2.32 then writeln ('ABCDE') else
if e=2.33 then writeln ('AAAAAAABBCCDEFG') else
if e=2.34 then writeln ('AAAAAABBBBCDEFG') else
if e=2.35 then writeln ('AAAAAABBCDEFG') else
if e=2.36 then writeln ('AAAABBBCCDEF') else
if e=2.37 then writeln ('AAABBBCDEF') else
if e=2.38 then writeln ('AAAABBBBCCDDEF') else
if e=2.39 then writeln ('AAAABBBBCCCDDEF') else
if e=2.40 then writeln ('AAAAABCDEFG') else
if e=2.41 then writeln ('AAABCDEF') else
if e=2.42 then writeln ('AAABBCDEF') else
if e=2.43 then writeln ('AAAAABBBCCCDDEEF') else
if e=2.44 then writeln ('AAAAABBBCDEFG') else
if e=2.45 then writeln ('AAABBCCDEF') else
if e=2.46 then writeln ('AAABBBCCDDEF') else
if e=2.47 then writeln ('AAAABBBBCDEFG') else
if e=2.48 then writeln ('AAABBCCDDEF') else
if e=2.49 then writeln ('AAAAAABBBBBCDEFGH') else
if e=2.50 then writeln ('AABBCDEF') else
if e=2.51 then writeln ('AAAAAABCDEFGH') else
if e=2.52 then writeln ('AABCDEF') else
if e=2.53 then writeln ('AAAAAABBBBCDEFGH') else
if e=2.54 then writeln ('AAAAAABBBCCDDEEFG') else
if e=2.55 then writeln ('AAAABBCDEFG') else
if e=2.56 then writeln ('AAAAAABBCDEFGH') else
if e=2.57 then writeln ('AAAABBBCCDEFG') else
if e=2.58 then writeln ('ABCDEF') else
if e=2.59 then writeln ('AAABBBCDEFG') else
if e=2.60 then writeln ('AAABBBCCCDEFG') else
if e=2.61 then writeln ('AAAABBBCCDDEFG') else
if e=2.62 then writeln ('AAAAABCDEFGH') else
if e=2.63 then writeln ('AAABBBCCDEFG') else
if e=2.64 then writeln ('AAABCDEFG') else
if e=2.65 then writeln ('AAABBCDEFG') else
if e=2.66 then writeln ('AAABBCCDEFG') else
if e=2.67 then writeln ('AAAAAABBBCCCDDEFGH') else
if e=2.68 then writeln ('AAAAABBBCCDEFGH') else
if e=2.69 then writeln ('AAABBCCDDEFG') else
if e=2.70 then writeln ('AAAAAABCDEFGHI') else
if e=2.71 then writeln ('AAAABBBBCCDEFGH') else
if e=2.72 then writeln ('AABBCCDEFG') else
if e=2.73 then writeln ('AABBCDEFG') else
if e=2.74 then writeln ('AAAAAABBCDEFGHI') else
if e=2.75 then writeln ('AABCDEFG') else
if e=2.76 then writeln ('AAAAAABBBBCCCDEFGHI') else
if e=2.77 then writeln ('AAAAAAABCDEFGHIJ') else
if e=2.78 then writeln ('AAAABBCCDEFGH') else
if e=2.79 then writeln ('AAABBBCDEFGH') else
if e=2.80 then writeln ('AAAAAABBBBCCDDEFGHI') else
if e=2.81 then writeln ('ABCDEFG') else
if e=2.82 then writeln ('AAABBBCCDEFGH') else
if e=2.83 then writeln ('AAAABBBCCDDEEFGH') else
if e=2.84 then writeln ('AAAAABBCDEFGHI') else
if e=2.85 then writeln ('AAABCDEFGH') else
if e=2.86 then writeln ('AAABBCCDEFGH') else
if e=2.87 then writeln ('AAABBCCDDEFGH') else
if e=2.88 then writeln ('AAAABBBBCCDEFGHI') else
if e=2.89 then writeln ('AAAAABBBCCDDEFGHI') else
if e=2.90 then writeln ('AAAABBBCDEFGHI') else
if e=2.91 then writeln ('AABBCCDEFGH') else
if e=2.92 then writeln ('AABBCDEFGH') else
if e=2.93 then writeln ('AAAABBCDEFGHI') else
if e=2.94 then writeln ('AAAAAABBCCDEFGHIJ') else
if e=2.95 then writeln ('AABCDEFGH') else
if e=2.96 then writeln ('AAABBBCCCDEFGHI') else
if e=2.97 then writeln ('AAABBBCDEFGHI') else
if e=2.98 then writeln ('AAAAABCDEFGHIJ') else
if e=2.99 then writeln ('AAABBBCCDEFGHI') else
if e=3.00 then writeln ('ABCDEFGH') else
if e=3.01 then writeln ('AAABBBCCDDEFGHI') else
if e=3.02 then writeln ('AAABBCDEFGHI') else
if e=3.03 then writeln ('AAABCDEFGHI') else
if e=3.04 then writeln ('AAABBCCDDEFGHI') else
if e=3.05 then writeln ('AAAAABBCCDDEFGHIJ') else
if e=3.06 then writeln ('AAAABBBCDEFGHIJ') else
if e=3.07 then writeln ('AAAAABBBCCDDEEFGHIJ') else
if e=3.08 then writeln ('AABBCCDEFGHI') else
if e=3.09 then writeln ('AAAABCDEFGHIJ') else
if e=3.10 then writeln ('AABBCDEFGHI') else
if e=3.11 then writeln ('AAAABBCCDEFGHIJ') else
if e=3.12 then writeln ('AABCDEFGHI') else
if e=3.13 then writeln ('AAABBBCDEFGHIJ') else
if e=3.14 then writeln ('AAABBBCCDEFGHIJ') else
if e=3.15 then writeln ('AAAAABBCDEFGHIJK') else
if e=3.16 then writeln ('AAABBBCCDDEFGHIJ') else
if e=3.17 then writeln ('ABCDEFGHI') else
if e=3.18 then writeln ('AAABBCDEFGHIJ') else
if e=3.19 then writeln ('AAABCDEFGHIJ') else
if e=3.20 then writeln ('AAAABBBCDEFGHIJK') else
if e=3.21 then writeln ('AAAAAAABCDEFGHIJKLM') else
if e=3.22 then writeln ('AAAABBBCCDEFGHIJK') else
if e=3.23 then writeln ('AAAAAAABBBCDEFGHIJKLM') else
if e=3.24 then writeln ('AABBCCDEFGHIJ') else
if e=3.25 then writeln ('AABBCDEFGHIJ') else
if e=3.26 then writeln ('AAAABBCCDDEFGHIJK') else
if e=3.27 then writeln ('AAABBBCDEFGHIJK') else
if e=3.28 then writeln ('AABCDEFGHIJ') else
if e=3.29 then writeln ('AAAAABBCDEFGHIJKL') else
if e=3.30 then writeln ('AAAAABBCCDEFGHIJKL') else
if e=3.31 then writeln ('AAAAAABCDEFGHIJKLM') else
if e=3.32 then writeln ('ABCDEFGHIJ') else
if e=3.33 then writeln ('AAABCDEFGHIJK') else
if e=3.34 then writeln ('AAAABBBCDEFGHIJKL') else
if e=3.35 then writeln ('AAAABBBCCDEFGHIJKL') else
if e=3.36 then writeln ('AAAAAAABBCDEFGHIJKLMN') else
if e=3.37 then writeln ('AAAABCDEFGHIJKL') else
if e=3.38 then writeln ('AABBCCDEFGHIJK') else
if e=3.39 then writeln ('AABBCDEFGHIJK') else
if e=3.40 then writeln ('AAAAABCDEFGHIJKLM') else
if e=3.41 then writeln ('AAABBBCDEFGHIJKL') else
if e=3.42 then writeln ('AABCDEFGHIJK') else
if e=3.43 then writeln ('AAAAAABCDEFGHIJKLMN') else
if e=3.44 then writeln ('AAAAABBCCDDEFGHIJKLM') else
if e=3.45 then writeln ('AAABBCCDEFGHIJKL') else
if e=3.46 then writeln ('ABCDEFGHIJK') else
if e=3.47 then writeln ('AAABCDEFGHIJKL') else
if e=3.48 then writeln ('AAAABBBCCDDEFGHIJKLM') else
if e=3.49 then writeln ('AAABBBCCCDDDEFGHIJKLM') else
if e=3.50 then writeln ('AAAABCDEFGHIJKLM') else
if e=3.51 then writeln ('AABBCCDEFGHIJKL') else
if e=3.52 then writeln ('AABBCDEFGHIJKL') else
if e=3.53 then writeln ('AAABBBCDEFGHIJKLM') else
if e=3.54 then writeln ('AAABBBCCDDEFGHIJKLM') else
if e=3.55 then writeln ('AABCDEFGHIJKL') else
if e=3.56 then writeln ('AAAAAABBCDEFGHIJKLMNO') else
if e=3.57 then writeln ('AAABBCCDEFGHIJKLM') else
if e=3.58 then writeln ('ABCDEFGHIJKL') else
if e=3.59 then writeln ('AAABCDEFGHIJKLM') else
if e=3.60 then writeln ('AAAAAAABBCCDEFGHIJKLMNOP') else
if e=3.61 then writeln ('AAAABBCDEFGHIJKLMN') else
if e=3.62 then writeln ('AABBCCDEFGHIJKLM') else
if e=3.63 then writeln ('AAAABBBBCDEFGHIJKLMNO') else
if e=3.64 then writeln ('AABBCDEFGHIJKLM') else
if e=3.65 then writeln ('AAABBBCCDDEFGHIJKLMN') else
if e=3.66 then writeln ('AABCDEFGHIJKLM') else
if e=3.67 then writeln ('AAAAAAABCDEFGHIJKLMNOPQ') else
if e=3.68 then writeln ('AAABBCCDEFGHIJKLMN') else
if e=3.69 then writeln ('AAABBCDEFGHIJKLMN') else
if e=3.70 then writeln ('ABCDEFGHIJKLM') else
if e=3.71 then writeln ('AAABBBCCCDEFGHIJKLMNO') else
if e=3.72 then writeln ('AAAABBCDEFGHIJKLMNO') else
if e=3.73 then writeln ('AABBCCDEFGHIJKLMN') else
if e=3.74 then writeln ('AAAAABCDEFGHIJKLMNOP') else
if e=3.75 then writeln ('AABBCDEFGHIJKLMN') else
if e=3.76 then writeln ('AAAAAABBCDEFGHIJKLMNOPQ') else
if e=3.77 then writeln ('AABCDEFGHIJKLMN') else
if e=3.78 then writeln ('AAABBCCDDEFGHIJKLMNO') else
if e=3.79 then writeln ('AAABBCDEFGHIJKLMNO') else
if e=3.80 then writeln ('AAAABBBCCDDEFGHIJKLMNOP') else
if e=3.81 then writeln ('ABCDEFGHIJKLMN') else
if e=3.82 then writeln ('AAAABBCDEFGHIJKLMNOP') else
if e=3.83 then writeln ('AAAABCDEFGHIJKLMNOP') else
if e=3.84 then writeln ('AABBCCDEFGHIJKLMNO') else
if e=3.85 then writeln ('AABBCDEFGHIJKLMNO') else
if e=3.86 then writeln ('AAAAAABBCDEFGHIJKLMNOPQR') else
if e=3.87 then writeln ('AAAAAAABBCDEFGHIJKLMNOPQRS') else
if e=3.88 then writeln ('AABCDEFGHIJKLMNO') else
if e=3.89 then writeln ('AAABBCDEFGHIJKLMNOP') else
if e=3.90 then writeln ('AAABBBCCCDEFGHIJKLMNOPQ') else
if e=3.91 then writeln ('ABCDEFGHIJKLMNO') else
if e=3.92 then writeln ('AAAABCDEFGHIJKLMNOPQ') else
if e=3.93 then writeln ('AABBCCDEFGHIJKLMNOP') else
if e=3.94 then writeln ('AAABBBCDEFGHIJKLMNOPQ') else
if e=3.95 then writeln ('AABBCDEFGHIJKLMNOP') else
if e=3.96 then writeln ('AAAAAABBCCDDEFGHIJKLMNOPQRS') else
if e=3.97 then writeln ('AABCDEFGHIJKLMNOP') else
if e=3.98 then writeln ('AAABBCDEFGHIJKLMNOPQ') else
if e=3.99 then writeln ('AAABBBCCCDEFGHIJKLMNOPQR') else
if e=4.00 then writeln ('ABCDEFGHIJKLMNOP') else
if e=4.01 then writeln ('AAAABCDEFGHIJKLMNOPQR') else
if e=4.02 then writeln ('AABBCCDEFGHIJKLMNOPQ') else
if e=4.03 then writeln ('AAABBBCDEFGHIJKLMNOPQR') else
if e=4.04 then writeln ('AABBCDEFGHIJKLMNOPQ') else
if e=4.05 then writeln ('AAAABBBCDEFGHIJKLMNOPQRS') else
if e=4.06 then writeln ('AABCDEFGHIJKLMNOPQ') else
if e=4.07 then writeln ('AAABBCDEFGHIJKLMNOPQR') else
if e=4.08 then writeln ('AAABCDEFGHIJKLMNOPQR') else
if e=4.09 then writeln ('ABCDEFGHIJKLMNOPQ') else
if e=4.10 then writeln ('AAAABCDEFGHIJKLMNOPQRS') else
if e=4.11 then writeln ('AABBCCDEFGHIJKLMNOPQR') else
if e=4.12 then writeln ('AABBCDEFGHIJKLMNOPQR') else
if e=4.13 then writeln ('AAAABBBCDEFGHIJKLMNOPQRST') else
if e=4.14 then writeln ('AABCDEFGHIJKLMNOPQR') else
if e=4.15 then writeln ('AAABBCDEFGHIJKLMNOPQRS') else
if e=4.16 then writeln ('AAAABBCCDEFGHIJKLMNOPQRST') else
if e=4.17 then writeln ('ABCDEFGHIJKLMNOPQR') else
if e=4.18 then writeln ('AAAABCDEFGHIJKLMNOPQRST') else
if e=4.19 then writeln ('AABBCCDEFGHIJKLMNOPQRS') else
if e=4.20 then writeln ('AABBCDEFGHIJKLMNOPQRS') else
if e=4.21 then writeln ('AAABBCCDDEFGHIJKLMNOPQRST') else
if e=4.22 then writeln ('AABCDEFGHIJKLMNOPQRS') else
if e=4.23 then writeln ('AAABBCDEFGHIJKLMNOPQRST') else
if e=4.24 then writeln ('AAABCDEFGHIJKLMNOPQRST') else
if e=4.25 then writeln ('ABCDEFGHIJKLMNOPQRS') else
if e=4.26 then writeln ('AABBCCDEFGHIJKLMNOPQRST') else
if e=4.27 then writeln ('AAABBBCCCDDDEFGHIJKLMNOPQRSTUV') else
if e=4.28 then writeln ('AABBCDEFGHIJKLMNOPQRST') else
if e=4.29 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTU') else
if e=4.30 then writeln ('AABCDEFGHIJKLMNOPQRST') else
if e=4.31 then writeln ('AAAABBCCDEFGHIJKLMNOPQRSTUV') else
if e=4.32 then writeln ('ABCDEFGHIJKLMNOPQRST') else
if e=4.33 then writeln ('AABBCCDEFGHIJKLMNOPQRSTU') else
if e=4.34 then writeln ('AAABBBCCCDDDEFGHIJKLMNOPQRSTUVW') else
if e=4.35 then writeln ('AABBCDEFGHIJKLMNOPQRSTU') else
if e=4.36 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTUV') else
if e=4.37 then writeln ('AABCDEFGHIJKLMNOPQRSTU') else
if e=4.38 then writeln ('AAAABBCDEFGHIJKLMNOPQRSTUVW') else
if e=4.39 then writeln ('ABCDEFGHIJKLMNOPQRSTU') else
if e=4.40 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUV') else
if e=4.41 then writeln ('AAAABBBCCDDEFGHIJKLMNOPQRSTUVWX') else
if e=4.42 then writeln ('AABBCDEFGHIJKLMNOPQRSTUV') else
if e=4.43 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTUVW') else
if e=4.44 then writeln ('AABCDEFGHIJKLMNOPQRSTUV') else
if e=4.45 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVW') else
if e=4.46 then writeln ('ABCDEFGHIJKLMNOPQRSTUV') else
if e=4.47 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUVW') else
if e=4.48 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVW') else
if e=4.49 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTUVWX') else
if e=4.50 then writeln ('AABCDEFGHIJKLMNOPQRSTUVW') else
if e=4.51 then writeln ('AAAABBCDEFGHIJKLMNOPQRSTUVWXY') else
if e=4.52 then writeln ('ABCDEFGHIJKLMNOPQRSTUVW') else
if e=4.53 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUVWX') else
if e=4.54 then writeln ('AAAABBBCDEFGHIJKLMNOPQRSTUVWXYZ') else
if e=4.55 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWX') else
if e=4.56 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWX') else
if e=4.57 then writeln ('AAABBCDEFGHIJKLMNOPQRSTUVWXY') else
if e=4.58 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWX') else
if e=4.59 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUVWXY') else
if e=4.60 then writeln ('AAAABBBCDEFGHIJKLMNOPQRSTUVWXYZa') else
if e=4.61 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXY') else
if e=4.62 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXY') else
if e=4.63 then writeln ('AAABBCDEFGHIJKLMNOPQRSTUVWXYZ') else
if e=4.64 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXY') else
if e=4.65 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUVWXYZ') else
if e=4.66 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZ') else
if e=4.67 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTUVWXYZa') else
if e=4.68 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZ') else
if e=4.69 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZa') else
if e=4.70 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZ') else
if e=4.71 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUVWXYZa') else
if e=4.72 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZa') else
if e=4.73 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTUVWXYZab') else
if e=4.74 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZa') else
if e=4.75 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZa') else
if e=4.76 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUVWXYZab') else
if e=4.77 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZab') else
if e=4.78 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTUVWXYZabc') else
if e=4.79 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZab') else
if e=4.80 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabc') else
if e=4.81 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZab') else
if e=4.82 then writeln ('AAABBCCDDEFGHIJKLMNOPQRSTUVWXYZabcd') else
if e=4.83 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabc') else
if e=4.84 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabc') else
if e=4.85 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcd') else
if e=4.86 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabc') else
if e=4.87 then writeln ('AAABBCCDDEFGHIJKLMNOPQRSTUVWXYZabcde') else
if e=4.88 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcd') else
if e=4.89 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcd') else
if e=4.90 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcde') else
if e=4.91 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcd') else
if e=4.92 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcde') else
if e=4.93 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTUVWXYZabcdef') else
if e=4.94 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcde') else
if e=4.95 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcde') else
if e=4.96 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUVWXYZabcdef') else
if e=4.97 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdef') else
if e=4.98 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdef') else
if e=4.99 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcdefg') else
if e=5.00 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdef') else
if e=5.01 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefg') else
if e=5.02 then writeln ('AAABBCCDEFGHIJKLMNOPQRSTUVWXYZabcdefgh') else
if e=5.03 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefg') else
if e=5.04 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefg') else
if e=5.05 then writeln ('AABBCCDEFGHIJKLMNOPQRSTUVWXYZabcdefgh') else
if e=5.06 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefgh') else
if e=5.07 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefgh') else
if e=5.08 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghi') else
if e=5.09 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefgh') else
if e=5.10 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghi') else
if e=5.11 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghi') else
if e=5.12 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghij') else
if e=5.13 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghi') else
if e=5.14 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghij') else
if e=5.15 then writeln ('AAABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijk') else
if e=5.16 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghij') else
if e=5.17 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghij') else
if e=5.18 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijk') else
if e=5.19 then writeln ('AAABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijkl') else
if e=5.20 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijk') else
if e=5.21 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijk') else
if e=5.22 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijkl') else
if e=5.23 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijkl') else
if e=5.24 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklm') else
if e=5.25 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijkl') else
if e=5.26 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklm') else
if e=5.27 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklm') else
if e=5.28 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn') else
if e=5.29 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklm') else
if e=5.30 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn') else
if e=5.31 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn') else
if e=5.32 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn') else
if e=5.33 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmno') else
if e=5.34 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmno') else
if e=5.35 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnop') else
if e=5.36 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmno') else
if e=5.37 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnop') else
if e=5.38 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnop') else
if e=5.39 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnop') else
if e=5.40 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopq') else
if e=5.41 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopq') else
if e=5.42 then writeln ('AAABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqr') else
if e=5.43 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopq') else
if e=5.44 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqr') else
if e=5.45 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqr') else
if e=5.46 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqr') else
if e=5.47 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrs') else
if e=5.48 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrs') else
if e=5.49 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrs') else
if e=5.50 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrst') else
if e=5.51 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrst') else
if e=5.52 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrst') else
if e=5.53 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstu') else
if e=5.54 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstu') else
if e=5.55 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstu') else
if e=5.56 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuv') else
if e=5.57 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuv') else
if e=5.58 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuv') else
if e=5.59 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvw') else
if e=5.60 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvw') else
if e=5.61 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvw') else
if e=5.62 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwx') else
if e=5.63 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwx') else
if e=5.64 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwx') else
if e=5.65 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxy') else
if e=5.66 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxy') else
if e=5.67 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxy') else
if e=5.68 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz') else
if e=5.69 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz') else
if e=5.70 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz') else
if e=5.71 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0') else
if e=5.72 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0') else
if e=5.73 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0') else
if e=5.74 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01') else
if e=5.75 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01') else
if e=5.76 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz012') else
if e=5.77 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz012') else
if e=5.78 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz012') else
if e=5.79 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123') else
if e=5.80 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123') else
if e=5.81 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123') else
if e=5.82 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01234') else
if e=5.83 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01234') else
if e=5.84 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz012345') else
if e=5.85 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz012345') else
if e=5.86 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz012345') else
if e=5.87 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456') else
if e=5.88 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456') else
if e=5.89 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01234567') else
if e=5.90 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01234567') else
if e=5.91 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01234567') else
if e=5.92 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz012345678') else
if e=5.93 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz012345678') else
if e=5.94 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789') else
if e=5.95 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789') else
if e=5.96 then writeln ('AABBCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 ') else
if e=5.97 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 ') else
if e=5.98 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 ') else
if e=5.99 then writeln ('AABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 .') else
if e=6.00 then writeln ('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 .') else
runerror (239);
end.